package domain


type AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest struct {
    /*
        商品元素信息     */
    SkuElements  *[]AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto `json:"sku_elements,omitempty" `

    /*
        操作活动的ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        操作人ID（仅支持数字类型）     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人Name     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        erp外部活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest) SetSkuElements(v []AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto) *AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest {
    s.SkuElements = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest) SetActId(v int64) *AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingItemdiscountActivitySkuAddItemDiscountActivityElementOperateRequest {
    s.OutActId = &v
    return s
}
